# $Id: perl-AI-Perceptron.spec 5985 2007-11-12 18:09:59Z dag $
# Authority: dries
# Upstream: Steve Purkis <spurkis%20%5bat%5d%20quiup_dot_com>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name AI-Perceptron

Summary: Example of a node in a neural network
Name: perl-AI-Perceptron
Version: 1.0
Release: 1.2.%{releasetagsuffix}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/AI-Perceptron/

Source: http://search.cpan.org/CPAN/authors/id/S/SP/SPURKIS/AI-Perceptron-%{version}.tar.gz
Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(Module::Build)

%description
This module is meant to show how a single node of a neural network
works.

Training is done by the *Stochastic Approximation of the
Gradient-Descent* model.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*
%dir %{perl_vendorlib}/AI/
%{perl_vendorlib}/AI/Perceptron.pm

%changelog
* Sat Apr  9 2005 Dries Verachtert <dries@ulyssis.org> - 1.0-1 #5985
- Initial package.
